Insight Remote Support
cancel
Showing results for 
Search instead for 
Did you mean: 

upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

matvad
Occasional Visitor

upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

Hi,

My Remote Support Software Manager fails to upgrade Remote Support 7.0.5 Kit package.

If I look at the log, I see that SSL communication with the following error:

 

NVD111111V [zstart_communic] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- Attempting to connect to SAP [RADIA_DEFAULT]
NVD000001I [mtp_comm_log ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- [EC(01C8E0B0)]: OpenSSL 0.9.8j 07 Jan 2009
NVD000001I [mtp_comm_log ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- [EC(01C8E0B0)]: certificate has expired
NVD000001E [mtp_comm_log ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --! [EC(01C8E0B0)]: Verification failed for <C:\PROGRA~2\HP\CM\CACertificates\cacert.pem>
NVD000001E [mtp_comm_log ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --! [EC(01C8E0B0)]: Error verifying local certificates
NVD111111E [zstart_communic] 01:01:14 [RADCONCT / 000029e4] SYSTEM --! Error initializing communications DLL rc [-1] SAP [RADIA_DEFAULT]
NVD111111V [start_Communica] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- ERROR CONNECTING TO THE CONFIGURATION SERVER
NVD111111V [RADCONCT ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- RADCONCT exit status [754]
NVD111111V [RADCONCT ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- RADCONCT [Expired CA certificate]
NVD000010A [radconnect_term] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- RADCONCT Return Code [754]
NVD000005E [radconct_cleanu] 01:01:14 [RADCONCT / 000029e4] SYSTEM --! RADCONCT Exit code [754]
NVD000001A [close_log_file ] 01:01:14 [RADCONCT / 000029e4] SYSTEM --- Closing log file on [Sat Jan 05 01:01:14 2013]
NVD000011V [nvd_exec ] 01:01:14 [RADPINIT / 00001f64] SYSTEM --- Process complete: Wait rc = [0] getexit rc = [1] ExitCode = [16]
NVD000010I [RADPINIT ] 01:01:14 [RADPINIT / 00001f64] SYSTEM --- -------- [Pid=00004E52] ----- END C:\PROGRA~2\HP\CM\radconct.exe ----- rc = [16]

 

Looking at the certificate in C:\PROGRA~2\HP\CM\CACertificates\cacert.pem I see that it has expired on december, 2012 (see attached image).

 

Where can I find a renewal of the CA certificate?

 

Thanks.

 

 

5 REPLIES
Dennis Handly
Acclaimed Contributor

Re: upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

What is your certificate thumb/fingerprint?  ‎cf 5c 80 7b 74 7b 73 c4 c5 3e 3f d7 93 09 53 eb c4 28 be cf

 

>Where can I find a renewal of the CA certificate?

 

The above certificate was reissued.

matvad
Occasional Visitor

Re: upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

The thumbprint is

cf 5c 80 7b 74 7b 73 c4 c5 3e 3f d7 93 09 53 eb c4 28 be cf

 

Dennis Handly
Acclaimed Contributor

Re: upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

>The thumbprint is: cf 5c 80 7b 74 7b 73 c4 c5 3e 3f d7 93 09 53 eb c4 28 be cf

 

Yes, that's the one that has been reissued.

Is it still failing after one week?

 

I'm not sure how external HP customers can still have this problem?

AndyC
Advisor

Re: upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

Hi matvad,

 

If your system was able to check for updates, it should have updated RSSWM before the certificates expired.  The fact that it didn't makes me suspect that there may have been a connectivity issue that prevented it from connecting to HP to get updates.

 

In any case, at this point, it won't be able to connect because of the expired certificate.  To get out of this situation, I recommend getting the 7.0.5 kit directly from https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=REMOTESUPPORT and installing it.   Running this kit will upgrade your Remote Support Software Manager version 5.x install and will maintain your v5 configuration.

 

Hopefully installing 7.0.5 directly will get you out of this situation.

 

Thanks,

-Andy

I am an HP employee.
matvad
Occasional Visitor

Re: upgrade to Remote Support 7.0.5 Kit fails due to certificate expiration

Thanks to all for your suggestions.

I'll try to install 7.0.5 by hand.